/*
   This file shows that the largest negative int,
   which is -2147483648 or 0x8000, acts somewhat
   like zero. That is
      -(-2147483648) == -2147483648    (like -0 == 0)
   and
      -2147483648 * x == -2147483648   (like 0*x == 0)
*/
#include <stdio.h>

int main()
{
   int z = -2147483648;  /* think of "z" for zero */
   int x1 = 5;           /* try any odd number    */
   int x2 = 4;           /* try any even number   */

   printf( "%d\n\n",   -z );

   printf( "%d\n",   z * x1 );
   printf( "%d\n",   z * x2 );

   return 0;
}
