/*
   http://publications.gbdirect.co.uk/c_book/chapter2/expressions_and_arithmetic.html#section-1.1
   
   http://en.cppreference.com/w/cpp/language/implicit_cast#Integral_promotion
   
   http://en.cppreference.com/w/c/language/conversion#Usual_arithmetic_conversions
   
   http://en.cppreference.com/w/c/language/operator_arithmetic
*/
#include <stdio.h>

int main()
{
   char c = 127;
   printf( "%d\n",  c + 1 );          /* prints  128  */
   printf( "%c\n",  c + 1 );
   printf( "%#x\n", c + 1 );          /* prints 0x80  */
   printf( "%d\n", c + (char)1 );     /* prints  128  */   
   printf( "%d\n", (char)(c + 1) );   /* prints -128  */
   char d = c + 1;
   printf( "%d\n",  d );              /* prints -128  */
 
   return 0;
}
